import { OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { Localization } from '../../localization';
import { SecurityChecker } from '../../security';
export declare class VerifyPasswordModalComponent implements OnInit {
    localization: Localization;
    private _onClosed;
    get onClosed(): Observable<Boolean>;
    passwordError: boolean;
    password: string;
    securityChecker: SecurityChecker;
    validationErrorText: string;
    constructor(localization: Localization);
    ngOnInit(): void;
    validate(): void;
    checkSecurity(): void;
    close(modalResult?: boolean): void;
}
